Bug 1464070 - The default config is incompatible with mysqladmin password
The default config is incompatible with mysqladmin password
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Schorm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 07:26 EDT by Attila Fazekas
Modified: 2017-07-28 05:59 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-28 05:59:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Fazekas 2017-06-22 07:26:53 EDT
Description of problem:
sudo mysqladmin -u root -p  password secret
Enter password: 
mysqladmin: 
You cannot use 'password' command as mysqld runs
 with grant tables disabled (was started with --skip-grant-tables).
Use: "mysqladmin flush-privileges password '*'" instead


Version-Release number of selected component (if applicable):
mariadb-devel-10.1.24-3.fc25.x86_64
mariadb-10.1.24-3.fc25.x86_64
mariadb-libs-10.1.24-3.fc25.x86_64
mariadb-server-10.1.24-3.fc25.x86_64
mariadb-common-10.1.24-3.fc25.x86_64
mariadb-errmsg-10.1.24-3.fc25.x86_64
mariadb-server-utils-10.1.24-3.fc25.x86_64
mariadb-config-10.1.24-3.fc25.x86_64


How reproducible:
always

Actual results:
Failed to setup mysql root password with mysqladmin.



Expected results:
mysqladmin password works by default.

Please use working way.

Additional info:

REmoving this option can help:
cat /etc/my.cnf.d/cracklib_password_check.cnf
[mariadb]
plugin-load-add=cracklib_password_check.so


Adding this option can help:
[server]
strict_password_validation=0


The actual server response on the wire was:
#HY000The MariaDB server is running with the --strict-password-validation option so it cannot execute this statement

The mysqladmin's error message is misleading.
Comment 1 Michal Schorm 2017-07-11 08:20:31 EDT
Thanks for the report.

I disabled the CrackLib plugin by default.
Comment 2 Fedora Update System 2017-07-12 02:16:06 EDT
mariadb-10.1.25-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c581dc391
Comment 3 Fedora Update System 2017-07-12 11:53:19 EDT
mariadb-10.1.25-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a6f49afbd
Comment 4 Fedora Update System 2017-07-12 12:25:07 EDT
mariadb-10.1.25-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebeb4bb332
Comment 5 Fedora Update System 2017-07-12 14:22:29 EDT
mariadb-10.1.25-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1c581dc391
Comment 6 Fedora Update System 2017-07-17 00:52:48 EDT
mariadb-10.1.25-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2017-07-27 15:50:10 EDT
mariadb-10.1.25-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2017-07-27 17:52:16 EDT
mariadb-10.1.25-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.